#include "RedirectedSerial.h"

// RedirectedSerial osztály metódusai
ssize_t RedirectedSerial::write(const void *buffer, size_t size) {
    return Serial.write((const uint8_t*)buffer, size);
}

ssize_t RedirectedSerial::read(void *buffer, size_t size) {
    return Serial.readBytes((char*)buffer, size);
}

int RedirectedSerial::close() {
    return 0;
}

off_t RedirectedSerial::seek(off_t offset, int whence) {
    return -ESPIPE;
}

off_t RedirectedSerial::size() {
    return -1;
}

int RedirectedSerial::isatty() {
    return true;
}

int RedirectedSerial::sync() {
    return 0;
}

short RedirectedSerial::poll(short events) const {
    return events;
}

// mbed_override_console függvény implementációja
RedirectedSerial mySerial;

namespace mbed {
    FileHandle *mbed_override_console(int fd) {
        return &mySerial;
    }
}