
#include "hardware/pio.h"
#include "hardware/clocks.h"
#include "ws2812.pio.h"

#define IS_RGBW false
#define NUM_PIXELS 1

#define WS2812_PIN 16


static inline void put_pixel(uint32_t pixel_grb) {
    pio_sm_put_blocking(pio0, 0, pixel_grb << 8u);
}

static inline uint32_t urgb_u32(uint8_t r, uint8_t g, uint8_t b) {
    return  ((uint32_t) (r) << 8) |
            ((uint32_t) (g) << 16) |
            (uint32_t) (b);
}


void setup() {
    PIO pio = pio0;
    int sm = 0;
    uint offset = pio_add_program(pio, &ws2812_program);
    ws2812_program_init(pio, sm, offset, WS2812_PIN, 800000, IS_RGBW);
}

void loop() {
   put_pixel(urgb_u32(255,0,0));
   delay(1000);
   put_pixel(urgb_u32(0,255,0));
   delay(1000);  
   put_pixel(urgb_u32(0,0,255));
   delay(1000);
   put_pixel(urgb_u32(0,0,0));
   delay(1000);    
}
