# RedirectedSerial Library

A library to redirect `printf()` output to the Arduino Serial (USB) port on the Raspberry Pi Pico using the Arduino Mbed OS RP2040 core.

## Features
- Redirects `printf()` output to the Serial (USB) port.
- Easy to integrate into existing projects.
- Compatible with the Arduino Mbed OS RP2040 core.

## Installation
1. Download the library as a ZIP file.
2. In the Arduino IDE, go to `Sketch > Include Library > Add .ZIP Library`.
3. Select the downloaded ZIP file.

## Usage
Include the library in your sketch:

```cpp
#include <RedirectedSerial.h>
```
Then use printf() as usual:

```cpp
void setup() {
    Serial.begin(115200);
    printf("Hello, world!\n");
}

void loop() {
    printf("Hello printf!\n");
    delay(1000);
}

```

## Examples
- printf_redirect: Demonstrates how to use the library to redirect printf() output to the Serial (USB) port.

## License
This library is licensed under the MIT License. See the LICENSE file for details.

## Author
István Cserny 
